Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindprod.csv
Class CSVTab2Comma

    java.lang.Object
      com.mindprod.csv.CSVTab2Comma

    public final class CSVTab2Comma

extends java.lang.Object

Converts tab-separated CSV file to a comma-separated CSV file.

Use: java.exe com.mindprod.CSVTab2Comma somefile.csv

Since:
  2008-05-28
Version:
  3.0 2009-06-15 - lookup table to speed CSVReader
Author:
  Roedy Green, Canadian Mind Products

Constructor Summary
`CSVTab2Comma(java.io.File file, char separatorChar, char commentChar)` pack a CSV file, constructor.

Method Summary
`static void` | `main(java.lang.String[] args)` Simple command line interface to CSVPack.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSVTab2Comma

    public CSVTab2Comma(java.io.File file,
                        char separatorChar,
                        char commentChar)
                 throws java.io.IOException

  pack a CSV file, constructor. Just create. There are no methods to call.

  Parameters:
    `file` - CSV file to be packed to remove excess space and quotes.
    `separatorChar` - field separator character, usually ',' in North America, ';' in Europe and sometimes '\t' for tab for the output file. It is tab for the input file. Note this is a 'char' not a "string".
    `commentChar` - char to use to introduce comments. Use (char) 0 if none. Only one character allowed. Note this is a 'char' not a "string".
  Throws:
    `java.io.IOException` - if problems reading/writing file

Method Detail

### main

    public static void main(java.lang.String[] args)

  Simple command line interface to CSVPack. Packs one csv file whose name is on the command line. Must have extension .csv
  Use java com.mindprod.CSVPack somefile.csv . You can use CVTab2Comm constructor in your own programs.

  Parameters:
    `args` - name of csv file to remove excess quotes and space

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD